Bug 1765109 - VTK python wrapper specifies non-existent include dir /usr/include/python3.7
Summary: VTK python wrapper specifies non-existent include dir /usr/include/python3.7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: vtk
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-24 11:26 UTC by Till Hofmann
Modified: 2019-11-04 01:29 UTC (History)
3 users (show)

Fixed In Version: vtk-8.1.1-6.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-04 01:29:43 UTC
Type: Bug


Attachments (Terms of Use)

Description Till Hofmann 2019-10-24 11:26:18 UTC
Description of problem:
The file /usr/lib64/cmake/vtk/Modules/vtkWrappingPythonCore.cmake contains (on x86-64):
set(vtkWrappingPythonCore_INCLUDE_DIRS "${VTK_INSTALL_PREFIX}/include/vtk;/usr/include/python3.7")

The directory /usr/include/python3.7 does not exist nor is it provided by any package, this should probably be /usr/include/python3.7m


This breaks dependent packages if they check whether the include directory actually exists, e.g.,:
https://copr-be.cloud.fedoraproject.org/results/thofmann/pcl-1.8/fedora-30-x86_64/01078698-ros-pcl_ros/builder-live.log.gz

Comment 1 Orion Poplawski 2019-10-25 02:07:27 UTC
Started a new build that should fix this.

Comment 2 Fedora Update System 2019-10-25 22:42:41 UTC
FEDORA-2019-a340661795 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a340661795

Comment 3 Fedora Update System 2019-10-27 03:54:24 UTC
vtk-8.1.1-6.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a340661795

Comment 4 Fedora Update System 2019-11-04 01:29:43 UTC
vtk-8.1.1-6.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.